Skip to content

List all app types in use with usage counts

Request

Early Access
OAuth 2.0 scope:
  • okta.apps.read

Lists AppInstance types in use with the count of AppInstances for each type.

GET
/api/v1/apps/types
curl -i -X GET \
  https://subdomain.okta.com/api/v1/apps/types

Responses

Success

Bodyapplication/json
Array [
countinteger, (int32), >= 0required

Number of app instances in the org that match type.

Example:47
typestring(AppInstanceType)required

App Instance type refers to the integration type of the instance.

Enum:"API_SERVICE""ENTITLEMENTS_MANAGEMENT""OIDC""PROVISIONING""SAML""SWA""UNIVERSAL_LOGOUT"
]
Response
[ { "type": "SAML", "count": 47 }, { "type": "OIDC", "count": 12 }, { "type": "PROVISIONING", "count": 8 }, { "type": "UNIVERSAL_LOGOUT", "count": 3 }, { "type": "API_SERVICE", "count": 2 }, { "type": "SWA", "count": 5 }, { "type": "ENTITLEMENTS_MANAGEMENT", "count": 1 } ]